#
# spec file for package jakarta-commons-lang (Version 2.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name lang
%define short_name commons-%{base_name}

Name:           apache-commons-lang
Version:        2.6
Release:        9.27
Summary:        Apache Commons Lang Package
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://commons.apache.org/%{base_name}
Source0:        http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
Patch1:         0002-Fix-FastDateFormat-for-Java-7-behaviour.patch

BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  junit4
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  javapackages-tools

BuildArch:      noarch

Provides:       %{short_name} = %{version}-%{release}
Provides:       jakarta-%{short_name} = %{version}-%{release}
Obsoletes:      jakarta-%{short_name} <= 2.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.

The Commons Lang Component provides a host of helper utilities for the
java.lang API, notably String manipulation methods, basic numerical
methods, object reflection, creation and serialization, and System
properties. Additionally it contains an inheritable enum type, an
exception structure that supports multiple types of nested-Exceptions
and a series of utilities dedicated to help with building methods, such
as hashCode, toString and equals.

%package javadoc
License:        Apache-2.0
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch1 -p1
sed -i 's/\r//' *.txt *.html

%build
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`
export CLASSPATH=
%{ant} \
    -Dcompile.source=1.4 \
    -Dcompile.target=1.4 \
    -Djunit.jar=$(build-classpath junit4) \
    -Dfinal.name=%{short_name} \
    -Djdk.javadoc=%{_javadocdir}/java \
    test dist

%install
# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/%{short_name}.jar %{buildroot}%{_javadir}/%{name}.jar
(cd %{buildroot}%{_javadir} && for jar in apache-*; do ln -sf ${jar} `echo $jar| sed "s|apache-||g"`; done)

# pom
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -pr target/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%files
%defattr(0644,root,root,0755)
%doc PROPOSAL.html LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{short_name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Fri Sep  6 2013 mvyskocil@suse.com
- update to 2.6 (bugfix release)
  * see http://commons.apache.org/proper/commons-lang/release-notes/RELEASE-NOTES-2.6.txt
  * see http://commons.apache.org/proper/commons-lang/release-notes/RELEASE-NOTES-2.5.txt
- use new add_maven_depmap macro
- drop jakarta-commons-lang-build.patch
* Wed Jan 27 2010 mvyskocil@suse.cz
- merged with jakarta-commons-lang-2.1-7.jpp5.src.rpm
* Tue Jul 29 2008 anosek@suse.cz
- made the symlink jakarta-commons-lang -> jakarta-commons-lang-2.3
  part of the javadoc package
* Mon Jul 21 2008 mvyskocil@suse.cz
- update to 2.3
  - merged with japackage 1.7 spec file
  - add a maven build support and a maven pom files and post/un scripts for
  depmap files
- removed a source=1.1 - fixed build under openjdk6
- removed a crosslink patch
* Fri Sep 15 2006 ro@suse.de
- use source=1.1 for java
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 29 2005 jsmeix@suse.de
- Removed the "test" to be built so that it builds now on all
  architectures (see bug 102629).
  The "test" failed on ppc, s390x, and ppc64 (see bug 113779).
* Wed Jul 27 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 2.0 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 2.0 (JPackage 1.5)
